<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__gpio__prt__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_gpio_prt_config_t</compoundname>
    <includes local="no">cy_gpio.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__gpio__prt__config__t_1a3ad84c6941c092aeb4b7d04b0727f58c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_gpio_prt_config_t::out</definition>
        <argsstring />
        <name>out</name>
        <briefdescription>
<para>Initial output data for the IO pins in the port. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="256" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="256" />
      </memberdef>
      <memberdef id="structcy__stc__gpio__prt__config__t_1a9245446d3c67ef24680e7efa14a8a123" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_gpio_prt_config_t::intrMask</definition>
        <argsstring />
        <name>intrMask</name>
        <briefdescription>
<para>Interrupt enable mask for the port interrupt. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="257" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="257" />
      </memberdef>
      <memberdef id="structcy__stc__gpio__prt__config__t_1a48aff556861a97796f9e8aa9dbdc8e64" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_gpio_prt_config_t::intrCfg</definition>
        <argsstring />
        <name>intrCfg</name>
        <briefdescription>
<para>Port pin interrupt edge detection configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="258" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="258" />
      </memberdef>
      <memberdef id="structcy__stc__gpio__prt__config__t_1a4a168a4cb7fbd62bb5b5c4016369e819" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_gpio_prt_config_t::cfg</definition>
        <argsstring />
        <name>cfg</name>
        <briefdescription>
<para>Port pin drive modes and input buffer enable configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="259" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="259" />
      </memberdef>
      <memberdef id="structcy__stc__gpio__prt__config__t_1a123b2b27c47fba1ebea339fa1e657f9d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_gpio_prt_config_t::cfgIn</definition>
        <argsstring />
        <name>cfgIn</name>
        <briefdescription>
<para>Port pin input buffer configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="260" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="260" />
      </memberdef>
      <memberdef id="structcy__stc__gpio__prt__config__t_1a762edbdcbfa88173e805a8577b33c52f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_gpio_prt_config_t::cfgOut</definition>
        <argsstring />
        <name>cfgOut</name>
        <briefdescription>
<para>Port pin output buffer configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="261" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="261" />
      </memberdef>
      <memberdef id="structcy__stc__gpio__prt__config__t_1a3d8fa53684ea40041db124e3da5412db" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_gpio_prt_config_t::cfgSIO</definition>
        <argsstring />
        <name>cfgSIO</name>
        <briefdescription>
<para>Port SIO pins configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="262" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="262" />
      </memberdef>
      <memberdef id="structcy__stc__gpio__prt__config__t_1acaf2429c91f5de7f64f6b007c00ed35d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_gpio_prt_config_t::sel0Active</definition>
        <argsstring />
        <name>sel0Active</name>
        <briefdescription>
<para>HSIOM selection for port pins 0,1,2,3. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="263" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="263" />
      </memberdef>
      <memberdef id="structcy__stc__gpio__prt__config__t_1a512073c3eb872e2b7d53a5e43ee6aef5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_gpio_prt_config_t::sel1Active</definition>
        <argsstring />
        <name>sel1Active</name>
        <briefdescription>
<para>HSIOM selection for port pins 4,5,6,7. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="264" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="264" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This structure is used to initialize a port of GPIO pins. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="265" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="254" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="255" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__gpio__prt__config__t_1a4a168a4cb7fbd62bb5b5c4016369e819" virt="non-virtual"><scope>cy_stc_gpio_prt_config_t</scope><name>cfg</name></member>
      <member prot="public" refid="structcy__stc__gpio__prt__config__t_1a123b2b27c47fba1ebea339fa1e657f9d" virt="non-virtual"><scope>cy_stc_gpio_prt_config_t</scope><name>cfgIn</name></member>
      <member prot="public" refid="structcy__stc__gpio__prt__config__t_1a762edbdcbfa88173e805a8577b33c52f" virt="non-virtual"><scope>cy_stc_gpio_prt_config_t</scope><name>cfgOut</name></member>
      <member prot="public" refid="structcy__stc__gpio__prt__config__t_1a3d8fa53684ea40041db124e3da5412db" virt="non-virtual"><scope>cy_stc_gpio_prt_config_t</scope><name>cfgSIO</name></member>
      <member prot="public" refid="structcy__stc__gpio__prt__config__t_1a48aff556861a97796f9e8aa9dbdc8e64" virt="non-virtual"><scope>cy_stc_gpio_prt_config_t</scope><name>intrCfg</name></member>
      <member prot="public" refid="structcy__stc__gpio__prt__config__t_1a9245446d3c67ef24680e7efa14a8a123" virt="non-virtual"><scope>cy_stc_gpio_prt_config_t</scope><name>intrMask</name></member>
      <member prot="public" refid="structcy__stc__gpio__prt__config__t_1a3ad84c6941c092aeb4b7d04b0727f58c" virt="non-virtual"><scope>cy_stc_gpio_prt_config_t</scope><name>out</name></member>
      <member prot="public" refid="structcy__stc__gpio__prt__config__t_1acaf2429c91f5de7f64f6b007c00ed35d" virt="non-virtual"><scope>cy_stc_gpio_prt_config_t</scope><name>sel0Active</name></member>
      <member prot="public" refid="structcy__stc__gpio__prt__config__t_1a512073c3eb872e2b7d53a5e43ee6aef5" virt="non-virtual"><scope>cy_stc_gpio_prt_config_t</scope><name>sel1Active</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>